/**
 * =======================================================
 * Created by fp on 26.02.17.
 * =======================================================
 */

package mvc03.controller;

import javafx.scene.input.MouseEvent;
import javafx.scene.paint.Color;

import mvc03.model.CircleModel;

import java.lang.Math.*;

public class CircleController {
    private CircleModel circleModel;

    public CircleController(CircleModel circleModel) {
        this.circleModel = circleModel;
    }

    public CircleModel getCircleModel() {
        return circleModel;
    }

    public void mousePosChanged(MouseEvent e) {
       double newX = e.getX();
       System.out.printf("--- Enter mousePositionChanged(): newX = %f ... \n", Math.abs(newX) );
       circleModel.setRadius( Math.abs ( newX ) );
    }

    public void mouseClicked(MouseEvent e) {
       System.out.printf("--- Enter mouseClicked() ... \n");
       circleModel.setColor( Color.color( Math.random(), Math.random(), Math.random() ));
    }
}
