/*
 * ===================================================================
 * Feature.java: Geographic feature interface ...
 * ===================================================================
 */

package visitor03.model;

import java.awt.geom.*;   // Needed for affine transformation....

public interface Feature extends Cloneable {
   public void    setName( String sName );
   public String  getName();
   public void    setX( double dX );
   public double  getX();
   public void    setY( double dY );
   public double  getY();
   public void    setPosition( double dX, double dY );
   public void    accept( FeatureElementVisitor visitor );
   public String  toString();
}
