/*
 *  ================================================================
 *  Vegetable.java: Compute weight and price of vegetables ...
 *  ================================================================
 */

package visitor04;

public class Vegetable implements Visitable {
   private double weight;
   private double price;

   public Vegetable( double weight, double price ) {
      this.weight = weight;
      this.price  = price;
   }

   public double getWeight() {
      return weight;
   }

   public double getPrice() {
      return price;
   }

   // Accept method for visitors ...

   @Override
   public void accept(Visitor visitor) {
      visitor.visit(this);            
   }
}
