/* 
 *  ============================================================================
 *  Product.java: Product modeled and arraylist of string "parts" ...
 *  ============================================================================
 */ 

package builder02;

import java.util.LinkedList;

public class Product {
    private LinkedList<String> parts;

    // Constructor method ...

    public Product() {
       parts = new LinkedList<String>();
    }

    // Add parts ...

    public void add(String part) {
        parts.addLast(part);
    }

    // Traverse list and print ...

    public void showProduct() {
    	System.out.printf("Product completed as below: \n");
        for (String part: parts)
             System.out.println(part);
    }
}
