package factory01;

public class TestSimpleFactory {
   public static void main(String[] args) {
      int a = 9, b = 8;

      System.out.printf("Test Simple Factory for Arithmetic Operations ...\n"); 
      System.out.printf("============================================= ...\n"); 

      // Create factory for "+" operation ....
		
      IOperation operation = SimpleFactory.createOperation("+");
      int add = operation.getResult(a, b);

      System.out.printf("--- a + b = %d ...\n", add ); 

      // Create factory for "-" operation ....

      operation = SimpleFactory.createOperation("-");
      operation.getResult(a, b);
      int sub = operation.getResult(a, b);

      System.out.printf("--- a - b = %d ...\n", sub ); 

      // Create factory for "*" operation ....

      operation = SimpleFactory.createOperation("*");
      operation.getResult(a, b);
      int mult = operation.getResult(a, b);

      System.out.printf("--- a * b = %d ...\n", mult ); 

      // Create factory for "*" operation ....

      operation = SimpleFactory.createOperation("/");
      operation.getResult(a, b);
      int div = operation.getResult(a, b);

      System.out.printf("--- a / b = %d ...\n", div ); 

      System.out.printf("============================================= ...\n"); 
   }
}
