
/*
 *  ===========================================================================
 *  MobileView.java: This class is added to discuss a question in "Q&A Session"
 *  ===========================================================================
 */

package mvc01.view;

import mvc01.model.Employee;

import java.util.List;

public class MobileView implements View {

   @Override
   public void showEnrolledEmployees(List<Employee> enrolledEmployees) {
      System.out.printf("\n");
      System.out.printf("Mobile View ... \n");
      System.out.printf("Employee Id   Employee Name \n");
      System.out.printf("--------------------------- \n");

      for( Employee employee : enrolledEmployees) {
         System.out.println(employee.getEmpId() + "\t"+ employee.getEmpName());
      }

      System.out.printf("--------------------------- \n");
   }
}
