/*
 * =================================================
 * Fruit.java: Model quantity and price of fruit ...
 * =================================================
 */

package visitor04;

public class Fruit implements Visitable{
   private double quantity;
   private double price;

   public Fruit(double quantity, double price) {
      this.quantity = quantity;
      this.price    = price;
   }

   public double getQuantity() {
      return quantity;
   }

   public double getPrice() {
      return price;
   }

   // Accept method for visitors ...

   @Override
   public void accept(Visitor visitor) {
      visitor.visit(this);
   }
}
